
_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_thermostat_001_16F628a.mpas,46 :: 		begin
;electronique_thermostat_001_16F628a.mpas,47 :: 		if PIR1.TMR1IF then         // timer 1 overflow (~500 ms elapsed)
	BTFSS      PIR1+0, 0
	GOTO       L__Interrupt2
;electronique_thermostat_001_16F628a.mpas,49 :: 		Inc(TimeCnt);
	INCF       _TimeCnt+0, 1
;electronique_thermostat_001_16F628a.mpas,52 :: 		if TimeCnt = 5 then       // start conversion every 4 secondes  (8 - 3)
	MOVF       _TimeCnt+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt5
;electronique_thermostat_001_16F628a.mpas,56 :: 		Convert := true;
	MOVLW      255
	MOVWF      _Convert+0
L__Interrupt5:
;electronique_thermostat_001_16F628a.mpas,59 :: 		if TimeCnt = 8 then       // 4 secondes ellapsed
	MOVF       _TimeCnt+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Interrupt8
;electronique_thermostat_001_16F628a.mpas,64 :: 		TimeCnt := 0;           // wrap around
	CLRF       _TimeCnt+0
;electronique_thermostat_001_16F628a.mpas,65 :: 		AcceptTemp := true;     // accept measured temperature every minute, first time after 5 seconds
	MOVLW      255
	MOVWF      _AcceptTemp+0
;electronique_thermostat_001_16F628a.mpas,66 :: 		if TimeState < MaxTimeState then
	MOVLW      3
	SUBWF      _TimeState+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Interrupt11
;electronique_thermostat_001_16F628a.mpas,67 :: 		Inc(TimeState)        // increment TimeState
	INCF       _TimeState+0, 1
	GOTO       L__Interrupt12
;electronique_thermostat_001_16F628a.mpas,68 :: 		else
L__Interrupt11:
;electronique_thermostat_001_16F628a.mpas,69 :: 		TimeState := 0;
	CLRF       _TimeState+0
L__Interrupt12:
;electronique_thermostat_001_16F628a.mpas,70 :: 		end;
L__Interrupt8:
;electronique_thermostat_001_16F628a.mpas,74 :: 		PIR1.TMR1IF := 0;         // clear interrupt flag
	BCF        PIR1+0, 0
;electronique_thermostat_001_16F628a.mpas,75 :: 		end;
L__Interrupt2:
;electronique_thermostat_001_16F628a.mpas,76 :: 		end;
L_end_Interrupt:
L__Interrupt66:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _Interrupt

_GetSetTemp:

;electronique_thermostat_001_16F628a.mpas,79 :: 		begin
;electronique_thermostat_001_16F628a.mpas,81 :: 		SetTemp := PORTB;  // direct value vith 0.5 C precision,
	MOVF       PORTB+0, 0
	MOVWF      _SetTemp+0
	CLRF       _SetTemp+1
;electronique_thermostat_001_16F628a.mpas,83 :: 		SetTemp := SetTemp - 40;
	MOVLW      40
	SUBWF      _SetTemp+0, 1
	BTFSS      STATUS+0, 0
	DECF       _SetTemp+1, 1
;electronique_thermostat_001_16F628a.mpas,84 :: 		end;
L_end_GetSetTemp:
	RETURN
; end of _GetSetTemp

_GetSetHyst:

;electronique_thermostat_001_16F628a.mpas,87 :: 		begin
;electronique_thermostat_001_16F628a.mpas,89 :: 		SetHyst := 0.0;
	CLRF       _SetHyst+0
	CLRF       _SetHyst+1
;electronique_thermostat_001_16F628a.mpas,90 :: 		if In_Hyst_1 then SetHyst := SetHyst + 1;
	BTFSS      RA5_bit+0, 5
	GOTO       L__GetSetHyst16
	INCF       _SetHyst+0, 1
	BTFSC      STATUS+0, 2
	INCF       _SetHyst+1, 1
L__GetSetHyst16:
;electronique_thermostat_001_16F628a.mpas,91 :: 		if In_Hyst_2 then SetHyst := SetHyst + 2;
	BTFSS      RA6_bit+0, 6
	GOTO       L__GetSetHyst19
	MOVLW      2
	ADDWF      _SetHyst+0, 1
	BTFSC      STATUS+0, 0
	INCF       _SetHyst+1, 1
L__GetSetHyst19:
;electronique_thermostat_001_16F628a.mpas,92 :: 		if In_Hyst_4 then SetHyst := SetHyst + 4;
	BTFSS      RA7_bit+0, 7
	GOTO       L__GetSetHyst22
	MOVLW      4
	ADDWF      _SetHyst+0, 1
	BTFSC      STATUS+0, 0
	INCF       _SetHyst+1, 1
L__GetSetHyst22:
;electronique_thermostat_001_16F628a.mpas,93 :: 		end;
L_end_GetSetHyst:
	RETURN
; end of _GetSetHyst

_Out_SetHeader:

;electronique_thermostat_001_16F628a.mpas,96 :: 		begin
;electronique_thermostat_001_16F628a.mpas,97 :: 		Out_Heater := not bState;  // RA4 is open collector
	COMF       FARG_Out_SetHeader_bState+0, 0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__Out_SetHeader70
	BCF        RA4_bit+0, 4
	GOTO       L__Out_SetHeader71
L__Out_SetHeader70:
	BSF        RA4_bit+0, 4
L__Out_SetHeader71:
;electronique_thermostat_001_16F628a.mpas,98 :: 		end;
L_end_Out_SetHeader:
	RETURN
; end of _Out_SetHeader

_Main_Init:

;electronique_thermostat_001_16F628a.mpas,101 :: 		begin
;electronique_thermostat_001_16F628a.mpas,102 :: 		CMCON  := 7;             // Disable Comparator module's
	MOVLW      7
	MOVWF      CMCON+0
;electronique_thermostat_001_16F628a.mpas,104 :: 		INTCON := 0;
	CLRF       INTCON+0
;electronique_thermostat_001_16F628a.mpas,106 :: 		OPTION_REG := 0;
	CLRF       OPTION_REG+0
;electronique_thermostat_001_16F628a.mpas,109 :: 		TRISA  := %11100001;
	MOVLW      225
	MOVWF      TRISA+0
;electronique_thermostat_001_16F628a.mpas,110 :: 		TRISB := $FF;
	MOVLW      255
	MOVWF      TRISB+0
;electronique_thermostat_001_16F628a.mpas,111 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_thermostat_001_16F628a.mpas,115 :: 		T1CON.T1CKPS1 := 1;  // bits 5-4  Prescaler Rate Select bits
	BSF        T1CON+0, 5
;electronique_thermostat_001_16F628a.mpas,116 :: 		T1CON.T1CKPS0 := 1;  // bit 4
	BSF        T1CON+0, 4
;electronique_thermostat_001_16F628a.mpas,117 :: 		T1CON.T1OSCEN := 0;  // bit 3 Timer1 Oscillator Enable Control: 0=off
	BCF        T1CON+0, 3
;electronique_thermostat_001_16F628a.mpas,118 :: 		T1CON.NOT_T1SYNC := 1;  // bit 2 Timer1 External Clock Input Synchronization Control bit:1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;electronique_thermostat_001_16F628a.mpas,119 :: 		T1CON.TMR1CS := 0;  // bit 1 Timer1 Clock Source Select bit:0=Internal clock (FOSC/4) / 1 = External clock from pin T1CKI (on the rising edge)
	BCF        T1CON+0, 1
;electronique_thermostat_001_16F628a.mpas,120 :: 		T1CON.TMR1ON := 1;  // bit 0 enables timer
	BSF        T1CON+0, 0
;electronique_thermostat_001_16F628a.mpas,121 :: 		PIE1.TMR1IE := 1; // Timer 1 Overflow Int Enable bit
	BSF        PIE1+0, 0
;electronique_thermostat_001_16F628a.mpas,122 :: 		TMR1H := cTMR1H;
	MOVLW      189
	MOVWF      TMR1H+0
;electronique_thermostat_001_16F628a.mpas,123 :: 		TMR1L := cTMR1L;
	MOVLW      220
	MOVWF      TMR1L+0
;electronique_thermostat_001_16F628a.mpas,124 :: 		PIR1.TMR1IF := 0; // clear timer 1 int flag
	BCF        PIR1+0, 0
;electronique_thermostat_001_16F628a.mpas,127 :: 		GetSetTemp;
	CALL       _GetSetTemp+0
;electronique_thermostat_001_16F628a.mpas,128 :: 		GetSetHyst;
	CALL       _GetSetHyst+0
;electronique_thermostat_001_16F628a.mpas,129 :: 		SetTempOld := SetTemp;  // only used to detect changes in preset temp value
	MOVF       _SetTemp+0, 0
	MOVWF      _SetTempOld+0
	MOVF       _SetTemp+1, 0
	MOVWF      _SetTempOld+1
;electronique_thermostat_001_16F628a.mpas,130 :: 		SetHystOld := SetHyst;  // only used to detect changes in preset hyst value
	MOVF       _SetHyst+0, 0
	MOVWF      _SetHystOld+0
	MOVF       _SetHyst+1, 0
	MOVWF      _SetHystOld+1
;electronique_thermostat_001_16F628a.mpas,131 :: 		CurrentTemp := SetTemp; // Initial value of current temp
	MOVF       _SetTemp+0, 0
	MOVWF      _CurrentTemp+0
	MOVF       _SetTemp+1, 0
	MOVWF      _CurrentTemp+1
;electronique_thermostat_001_16F628a.mpas,132 :: 		PreviousTemp := CurrentTemp;
	MOVF       _SetTemp+0, 0
	MOVWF      _PreviousTemp+0
	MOVF       _SetTemp+1, 0
	MOVWF      _PreviousTemp+1
;electronique_thermostat_001_16F628a.mpas,133 :: 		bTempUp := true;
	MOVLW      255
	MOVWF      _bTempUp+0
;electronique_thermostat_001_16F628a.mpas,136 :: 		Out_LedTempLow := 1;     // light off Led T < C
	BSF        RA1_bit+0, 1
;electronique_thermostat_001_16F628a.mpas,137 :: 		Out_LedTempEqual := 1;   // light off Led T = C
	BSF        RA2_bit+0, 2
;electronique_thermostat_001_16F628a.mpas,138 :: 		Out_LedTempHigh := 1;    // light off Led T > C
	BSF        RA3_bit+0, 3
;electronique_thermostat_001_16F628a.mpas,139 :: 		Out_SetHeader(false);    // disable heater
	CLRF       FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
;electronique_thermostat_001_16F628a.mpas,140 :: 		TimeState := 0;
	CLRF       _TimeState+0
;electronique_thermostat_001_16F628a.mpas,141 :: 		TimeCnt:= 0;
	CLRF       _TimeCnt+0
;electronique_thermostat_001_16F628a.mpas,142 :: 		Convert := false;
	CLRF       _Convert+0
;electronique_thermostat_001_16F628a.mpas,145 :: 		INTCON.PEIE := 1; // Peripheral Interrupt Enable bit
	BSF        INTCON+0, 6
;electronique_thermostat_001_16F628a.mpas,146 :: 		INTCON.GIE := 1;  // Global Interrupt Enable bit
	BSF        INTCON+0, 7
;electronique_thermostat_001_16F628a.mpas,148 :: 		end;
L_end_Main_Init:
	RETURN
; end of _Main_Init

_main:

;electronique_thermostat_001_16F628a.mpas,150 :: 		begin // main
;electronique_thermostat_001_16F628a.mpas,152 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_thermostat_001_16F628a.mpas,154 :: 		DS1820_StartTempConversion(PORTA, 0, true);  // start first temp conversion and wait
	MOVLW      PORTA+0
	MOVWF      FARG_DS1820_StartTempConversion_Port_+0
	CLRF       FARG_DS1820_StartTempConversion_Bit_+0
	MOVLW      255
	MOVWF      FARG_DS1820_StartTempConversion_Wait+0
	CALL       _DS1820_StartTempConversion+0
;electronique_thermostat_001_16F628a.mpas,155 :: 		AcceptTemp := true;   // and read temperature first time
	MOVLW      255
	MOVWF      _AcceptTemp+0
;electronique_thermostat_001_16F628a.mpas,157 :: 		while true do
L__main28:
;electronique_thermostat_001_16F628a.mpas,162 :: 		if not Convert then  // read preset values only if no conversion started
	COMF       _Convert+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main33
;electronique_thermostat_001_16F628a.mpas,166 :: 		GetSetTemp;
	CALL       _GetSetTemp+0
;electronique_thermostat_001_16F628a.mpas,169 :: 		GetSetHyst;
	CALL       _GetSetHyst+0
;electronique_thermostat_001_16F628a.mpas,172 :: 		If ((SetTemp <> SetTempOld) or (SetHyst <> SetHystOld)) then
	MOVF       _SetTemp+1, 0
	XORWF      _SetTempOld+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main74
	MOVF       _SetTempOld+0, 0
	XORWF      _SetTemp+0, 0
L__main74:
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _SetHyst+1, 0
	XORWF      _SetHystOld+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main75
	MOVF       _SetHystOld+0, 0
	XORWF      _SetHyst+0, 0
L__main75:
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main36
;electronique_thermostat_001_16F628a.mpas,174 :: 		SetTempOld := SetTemp;
	MOVF       _SetTemp+0, 0
	MOVWF      _SetTempOld+0
	MOVF       _SetTemp+1, 0
	MOVWF      _SetTempOld+1
;electronique_thermostat_001_16F628a.mpas,175 :: 		SetHystOld := SetHyst;
	MOVF       _SetHyst+0, 0
	MOVWF      _SetHystOld+0
	MOVF       _SetHyst+1, 0
	MOVWF      _SetHystOld+1
;electronique_thermostat_001_16F628a.mpas,176 :: 		TimeCnt:= 0;
	CLRF       _TimeCnt+0
;electronique_thermostat_001_16F628a.mpas,177 :: 		TMR1H := cTMR1H;
	MOVLW      189
	MOVWF      TMR1H+0
;electronique_thermostat_001_16F628a.mpas,178 :: 		TMR1L := cTMR1L;
	MOVLW      220
	MOVWF      TMR1L+0
;electronique_thermostat_001_16F628a.mpas,179 :: 		end;
L__main36:
;electronique_thermostat_001_16F628a.mpas,181 :: 		end;
L__main33:
;electronique_thermostat_001_16F628a.mpas,189 :: 		if Convert then
	MOVF       _Convert+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main39
;electronique_thermostat_001_16F628a.mpas,191 :: 		Convert := false;
	CLRF       _Convert+0
;electronique_thermostat_001_16F628a.mpas,192 :: 		DS1820_StartTempConversion(PortA, 0, false);  // start temperature conversion
	MOVLW      PORTA+0
	MOVWF      FARG_DS1820_StartTempConversion_Port_+0
	CLRF       FARG_DS1820_StartTempConversion_Bit_+0
	CLRF       FARG_DS1820_StartTempConversion_Wait+0
	CALL       _DS1820_StartTempConversion+0
;electronique_thermostat_001_16F628a.mpas,193 :: 		end;
L__main39:
;electronique_thermostat_001_16F628a.mpas,196 :: 		if AcceptTemp then
	MOVF       _AcceptTemp+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main42
;electronique_thermostat_001_16F628a.mpas,198 :: 		AcceptTemp  := false;  // clear minute flag
	CLRF       _AcceptTemp+0
;electronique_thermostat_001_16F628a.mpas,200 :: 		Tmp := DS1820_ReadTemperature(PortA, 0);
	MOVLW      PORTA+0
	MOVWF      FARG_DS1820_ReadTemperature_Port_+0
	CLRF       FARG_DS1820_ReadTemperature_Bit_+0
	CALL       _DS1820_ReadTemperature+0
	MOVF       R0+0, 0
	MOVWF      _Tmp+0
	MOVF       R0+1, 0
	MOVWF      _Tmp+1
;electronique_thermostat_001_16F628a.mpas,202 :: 		if DS1820_CheckCRC = 0 then
	CALL       _DS1820_CheckCRC+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
;electronique_thermostat_001_16F628a.mpas,204 :: 		CurrentTemp := Tmp;
	MOVF       _Tmp+0, 0
	MOVWF      _CurrentTemp+0
	MOVF       _Tmp+1, 0
	MOVWF      _CurrentTemp+1
;electronique_thermostat_001_16F628a.mpas,205 :: 		if (CurrentTemp <> PreviousTemp) then
	MOVF       _Tmp+1, 0
	XORWF      _PreviousTemp+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main76
	MOVF       _PreviousTemp+0, 0
	XORWF      _Tmp+0, 0
L__main76:
	BTFSC      STATUS+0, 2
	GOTO       L__main48
;electronique_thermostat_001_16F628a.mpas,207 :: 		bTempUp := (CurrentTemp > PreviousTemp);
	MOVLW      128
	XORWF      _PreviousTemp+1, 0
	MOVWF      _bTempUp+0
	MOVLW      128
	XORWF      _CurrentTemp+1, 0
	SUBWF      _bTempUp+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main77
	MOVF       _CurrentTemp+0, 0
	SUBWF      _PreviousTemp+0, 0
L__main77:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      _bTempUp+0
;electronique_thermostat_001_16F628a.mpas,208 :: 		PreviousTemp := CurrentTemp;
	MOVF       _CurrentTemp+0, 0
	MOVWF      _PreviousTemp+0
	MOVF       _CurrentTemp+1, 0
	MOVWF      _PreviousTemp+1
;electronique_thermostat_001_16F628a.mpas,209 :: 		end;
L__main48:
;electronique_thermostat_001_16F628a.mpas,210 :: 		end;
L__main45:
;electronique_thermostat_001_16F628a.mpas,211 :: 		end;
L__main42:
;electronique_thermostat_001_16F628a.mpas,216 :: 		if (CurrentTemp < (SetTemp - SetHyst)) then
	MOVF       _SetHyst+0, 0
	SUBWF      _SetTemp+0, 0
	MOVWF      R1+0
	MOVF       _SetHyst+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      _SetTemp+1, 0
	MOVWF      R1+1
	MOVLW      128
	XORWF      _CurrentTemp+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      R1+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main78
	MOVF       R1+0, 0
	SUBWF      _CurrentTemp+0, 0
L__main78:
	BTFSC      STATUS+0, 0
	GOTO       L__main51
;electronique_thermostat_001_16F628a.mpas,218 :: 		Out_SetHeader(true);     // heater on
	MOVLW      255
	MOVWF      FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
;electronique_thermostat_001_16F628a.mpas,219 :: 		Out_LedTempLow := 0;     // light on Led T < C
	BCF        RA1_bit+0, 1
;electronique_thermostat_001_16F628a.mpas,220 :: 		Out_LedTempEqual := 1;   // light off Led T = C
	BSF        RA2_bit+0, 2
;electronique_thermostat_001_16F628a.mpas,221 :: 		Out_LedTempHigh := 1;    // light off Led T > C
	BSF        RA3_bit+0, 3
;electronique_thermostat_001_16F628a.mpas,222 :: 		end
	GOTO       L__main52
;electronique_thermostat_001_16F628a.mpas,225 :: 		else if ((CurrentTemp < SetTemp) and (CurrentTemp >= (SetTemp - SetHyst))) then
L__main51:
	MOVLW      128
	XORWF      _CurrentTemp+1, 0
	MOVWF      R3+0
	MOVLW      128
	XORWF      _SetTemp+1, 0
	SUBWF      R3+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main79
	MOVF       _SetTemp+0, 0
	SUBWF      _CurrentTemp+0, 0
L__main79:
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R3+0
	MOVF       _SetHyst+0, 0
	SUBWF      _SetTemp+0, 0
	MOVWF      R1+0
	MOVF       _SetHyst+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	SUBWF      _SetTemp+1, 0
	MOVWF      R1+1
	MOVLW      128
	XORWF      _CurrentTemp+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      R1+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main80
	MOVF       R1+0, 0
	SUBWF      _CurrentTemp+0, 0
L__main80:
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R3+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main54
;electronique_thermostat_001_16F628a.mpas,228 :: 		if bTempUp then
	MOVF       _bTempUp+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main57
;electronique_thermostat_001_16F628a.mpas,229 :: 		Out_SetHeader(true)    // heater on
	MOVLW      255
	MOVWF      FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
	GOTO       L__main58
;electronique_thermostat_001_16F628a.mpas,230 :: 		else
L__main57:
;electronique_thermostat_001_16F628a.mpas,231 :: 		Out_SetHeader(false);  // heater off
	CLRF       FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
L__main58:
;electronique_thermostat_001_16F628a.mpas,232 :: 		Out_LedTempLow := 0;     // light on Led T < C
	BCF        RA1_bit+0, 1
;electronique_thermostat_001_16F628a.mpas,233 :: 		Out_LedTempEqual := 1;   // light off Led T = C
	BSF        RA2_bit+0, 2
;electronique_thermostat_001_16F628a.mpas,234 :: 		Out_LedTempHigh := 1;    // light off Led T > C
	BSF        RA3_bit+0, 3
;electronique_thermostat_001_16F628a.mpas,235 :: 		end
	GOTO       L__main55
;electronique_thermostat_001_16F628a.mpas,238 :: 		else if (CurrentTemp = SetTemp) then
L__main54:
	MOVF       _CurrentTemp+1, 0
	XORWF      _SetTemp+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main81
	MOVF       _SetTemp+0, 0
	XORWF      _CurrentTemp+0, 0
L__main81:
	BTFSS      STATUS+0, 2
	GOTO       L__main60
;electronique_thermostat_001_16F628a.mpas,240 :: 		Out_SetHeader(false);    // heater off
	CLRF       FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
;electronique_thermostat_001_16F628a.mpas,241 :: 		Out_LedTempLow := 1;     // light off Led T < C
	BSF        RA1_bit+0, 1
;electronique_thermostat_001_16F628a.mpas,242 :: 		Out_LedTempEqual := 0;   // light on Led T = C
	BCF        RA2_bit+0, 2
;electronique_thermostat_001_16F628a.mpas,243 :: 		Out_LedTempHigh := 1;    // light off Led T > C
	BSF        RA3_bit+0, 3
;electronique_thermostat_001_16F628a.mpas,244 :: 		end
	GOTO       L__main61
;electronique_thermostat_001_16F628a.mpas,247 :: 		else if (CurrentTemp > SetTemp) then
L__main60:
	MOVLW      128
	XORWF      _SetTemp+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _CurrentTemp+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main82
	MOVF       _CurrentTemp+0, 0
	SUBWF      _SetTemp+0, 0
L__main82:
	BTFSC      STATUS+0, 0
	GOTO       L__main63
;electronique_thermostat_001_16F628a.mpas,249 :: 		Out_SetHeader(false);    // heater off
	CLRF       FARG_Out_SetHeader_bState+0
	CALL       _Out_SetHeader+0
;electronique_thermostat_001_16F628a.mpas,250 :: 		Out_LedTempLow := 1;     // light off Led T < C
	BSF        RA1_bit+0, 1
;electronique_thermostat_001_16F628a.mpas,251 :: 		Out_LedTempEqual := 1;   // light off Led T = C
	BSF        RA2_bit+0, 2
;electronique_thermostat_001_16F628a.mpas,252 :: 		Out_LedTempHigh := 0;    // light on Led T > C
	BCF        RA3_bit+0, 3
;electronique_thermostat_001_16F628a.mpas,253 :: 		end;
L__main63:
L__main61:
L__main55:
L__main52:
;electronique_thermostat_001_16F628a.mpas,257 :: 		end;         // endless loop
	GOTO       L__main28
;electronique_thermostat_001_16F628a.mpas,259 :: 		end.
L_end_main:
	GOTO       $+0
; end of _main
